Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.codehaus.groovy.util
Enum ReferenceType

    java.lang.Object
      java.lang.Enum<ReferenceType>
          org.codehaus.groovy.util.ReferenceType

All Implemented Interfaces:
  Serializable, Comparable<ReferenceType>

    public enum ReferenceType
    extends Enum<ReferenceType>

Enum Constant Summary
Enum Constant and Description
`HARD`
`PHANTOM`
`SOFT`
`WEAK`

Method Summary
Modifier and Type | Method and Description
--- | ---
`protected abstract
`<T,V extends Finalizable> Reference<T,V>`
` | `createReference(T value, V handler, ReferenceQueue queue)`
`static ReferenceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SOFT

    public static final ReferenceType SOFT

### WEAK

    public static final ReferenceType WEAK

### PHANTOM

    public static final ReferenceType PHANTOM

### HARD

    public static final ReferenceType HARD

Method Detail

### values

    public static ReferenceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ReferenceType c : ReferenceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ReferenceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### createReference

    protected abstract <T,V extends Finalizable> Reference<T,V> createReference(T value,
                                                                                V handler,
                                                                                ReferenceQueue queue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD